<template lang="pug">
BaseDialog.x-add-dialog(ref='dialog' title='Add Operation Year')
  .row.b-param-container.justify-content-center
    BaseParamInput.col-12.col-lg-4(ref='year' type='number' step='1' title='Operation Year' :inEdit='true'
      @edit='onYearChanged()')
  .row.b-param-container.justify-content-center
    BaseParamDate.col-12.col-lg-4(ref='start' title='Start Date' :inEdit='true' @edit="checkStartDate()")
  .row.b-param-container.justify-content-center
    BaseParamDate.col-12.col-lg-4(ref='stop' title='Stop Date' :inEdit='true' @edit="checkStopDate()")
  template(v-slot:footer='d')
    button.mr-1.btn.btn-secondary(@click='d.resolve(false)') Cancel
    button.btn.btn-primary(@click='d.resolve(true)' :disabled="disableSubmit") Ok
</template>
<script>

export { default } from './AddOperationPeriodDialog.vue.js';

</script>
